import { ReactNode } from 'react';
import { TextField, TextFieldProps } from '../text-field/TextField';
import { ModalProps } from '../modal/Modal';
export interface SecretFieldProps extends TextFieldProps {
    modalProps?: ModalProps;
    renderEmpty?: () => ReactNode;
}
export default class SecretField extends TextField<SecretFieldProps> {
    static displayName: string;
    static defaultProps: {
        suffixCls: string;
        clearButton: boolean;
        multiple: boolean;
        border: boolean;
        valueChangeAction: import("../text-field/enum").ValueChangeAction;
        waitType: import("../core/enum").WaitType;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    modal: any;
    constructor(props: any, context: any);
    private secretEnable;
    get multiple(): boolean;
    get range(): boolean;
    get isSecretEnable(): Boolean;
    setSecretEnable(): void;
    private openModal;
    handleSecretFieldViewClose(): void;
    handleSecretChange(data?: any): void;
    handleOpenModal(): void;
    getSuffix(): ReactNode;
    isEditable(): boolean;
    getWrapperClassNames(...args: any[]): string;
    getInnerSpanButton(): ReactNode;
    get clearButton(): boolean;
    clear(): void;
    renderWrapper(): ReactNode;
}
